net.minecraft.scoreboard

## Class ScorePlayerTeam

- java.lang.Object
- - net.minecraft.scoreboard.Team
  - - net.minecraft.scoreboard.ScorePlayerTeam

-     public class ScorePlayerTeam
      extends Team

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScorePlayerTeam(Scoreboard par1Scoreboard, java.lang.String par2Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `formatPlayerName(Team par0Team, java.lang.String par1Str)`
    `java.lang.String` | `formatString(java.lang.String par1Str)`
    `java.lang.String` | `func_96669_c()`
    `boolean` | `func_98297_h()`
    `void` | `func_98298_a(int par1)`
    `int` | `func_98299_i()`
    `boolean` | `getAllowFriendlyFire()`
    `java.lang.String` | `getColorPrefix()`
    `java.lang.String` | `getColorSuffix()`
    `java.util.Collection` | `getMembershipCollection()`
    `java.lang.String` | `getRegisteredName()`
    `void` | `setAllowFriendlyFire(boolean par1)`
    `void` | `setNamePrefix(java.lang.String par1Str)`
    `void` | `setNameSuffix(java.lang.String par1Str)`
    `void` | `setSeeFriendlyInvisiblesEnabled(boolean par1)`
    `void` | `setTeamName(java.lang.String par1Str)`

    - ### Methods inherited from class net.minecraft.scoreboard.Team

      `isSameTeam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScorePlayerTeam

          public ScorePlayerTeam(Scoreboard par1Scoreboard,
                         java.lang.String par2Str)

  - ### Method Detail

    - #### getRegisteredName

          public java.lang.String getRegisteredName()

      Specified by:
        `getRegisteredName` in class `Team`

    - #### func_96669_c

          public java.lang.String func_96669_c()

    - #### setTeamName

          public void setTeamName(java.lang.String par1Str)

    - #### getMembershipCollection

          public java.util.Collection getMembershipCollection()

    - #### getColorPrefix

          public java.lang.String getColorPrefix()

    - #### setNamePrefix

          public void setNamePrefix(java.lang.String par1Str)

    - #### getColorSuffix

          public java.lang.String getColorSuffix()

    - #### setNameSuffix

          public void setNameSuffix(java.lang.String par1Str)

    - #### formatString

          public java.lang.String formatString(java.lang.String par1Str)

      Specified by:
        `formatString` in class `Team`

    - #### formatPlayerName

          public static java.lang.String formatPlayerName(Team par0Team,
                                          java.lang.String par1Str)

    - #### getAllowFriendlyFire

          public boolean getAllowFriendlyFire()

      Specified by:
        `getAllowFriendlyFire` in class `Team`

    - #### setAllowFriendlyFire

          public void setAllowFriendlyFire(boolean par1)

    - #### func_98297_h

          public boolean func_98297_h()

      Specified by:
        `func_98297_h` in class `Team`

    - #### setSeeFriendlyInvisiblesEnabled

          public void setSeeFriendlyInvisiblesEnabled(boolean par1)

    - #### func_98299_i

          public int func_98299_i()

    - #### func_98298_a

          public void func_98298_a(int par1)